  <div class="content has-text-centered">

    <a *ngIf="!filtersShowed; else filtersShowedBloc" class="button is-rounded is-fullwidth is-primary is-outlined" (click)="toggleFilter()">
      <span>Show filters</span>
      <span class="icon"><i class="fas fa-angle-left fa-rotate-180"></i></span>
    </a>
    <ng-template #filtersShowedBloc>
      <a class="button is-rounded is-fullwidth is-primary is-outlined is-primary" (click)="toggleFilter()">
        <span>Hide filters</span>
        <span class="icon"><i class="fas fa-angle-down"></i></span>
      </a>
    </ng-template>

  </div>

  <div id="filters" [ngClass]="filtersShowed ? 'fadeFiltersIn' : (filtersShowed !== null && 'fadeFiltersOut')">

    <div class="columns">

      <div class="column">
        <div *ngIf="branches.length > 0" class="field">
          <div class="control">
            <label class="label">Branch</label>
            <div class="select">
              <select [ngModel]="branchSelected" (ngModelChange)="branchChange($event)">
                <option *ngFor="let branch of branches" [ngValue]="branch">
                  {{ branch | truncate }}
                </option>
              </select>
            </div>
          </div>
        </div>
      </div>

      <div class="column">
        <div class="field">
          <div class="control">
            <label for="sinceFilter" class=" label">Since</label>
            <app-calendar-date-filter id="sinceFilter" calendarId="sinceCalendar" [options]="sinceCalendarOptions" (dateEvent)="sinceChange($event)"></app-calendar-date-filter>
          </div>
        </div>
      </div>

      <div class="column">
        <div class="field">
          <div class="control">
            <label for="untilFilter" class="label">Until</label>
            <app-calendar-date-filter id="untilFilter" calendarId="untilCalendar" [options]="untilCalendarOptions" (dateEvent)="untilChange($event)"></app-calendar-date-filter>
          </div>
        </div>
      </div>
    </div>

  </div>
